Triggers
List an environment's triggers
GET
/
v1
/
environments
/
{env_id}
/
triggers
List an environment's triggers
curl --request GET \
--url https://api.veri.studio/v1/environments/{env_id}/triggers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/environments/{env_id}/triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/environments/{env_id}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"environment_id": "<string>",
"kind": "<string>",
"session_mode": "<string>",
"prompt": "<string>",
"budget_usd": 123,
"output": {
"kind": "<string>",
"target": "<string>"
},
"status": "<string>",
"consecutive_failures": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"provider": "<string>",
"cron": "<string>",
"timezone": "<string>",
"reuse_session_id": "<string>",
"paused_reason": "<string>",
"next_fire_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"secret": "<string>",
"previous_secret_expires_at": "2023-11-07T05:31:56Z",
"last_execution": {
"object": "<string>",
"id": "<string>",
"trigger_id": "<string>",
"kind": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"delivery_id": "<string>",
"session_id": "<string>",
"failure_reason": "<string>",
"payload_excerpt": "<string>",
"result_excerpt": "<string>",
"output_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Environment ID
List an environment's triggers
curl --request GET \
--url https://api.veri.studio/v1/environments/{env_id}/triggers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/environments/{env_id}/triggers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/environments/{env_id}/triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"environment_id": "<string>",
"kind": "<string>",
"session_mode": "<string>",
"prompt": "<string>",
"budget_usd": 123,
"output": {
"kind": "<string>",
"target": "<string>"
},
"status": "<string>",
"consecutive_failures": 123,
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"provider": "<string>",
"cron": "<string>",
"timezone": "<string>",
"reuse_session_id": "<string>",
"paused_reason": "<string>",
"next_fire_at": "2023-11-07T05:31:56Z",
"webhook_url": "<string>",
"secret": "<string>",
"previous_secret_expires_at": "2023-11-07T05:31:56Z",
"last_execution": {
"object": "<string>",
"id": "<string>",
"trigger_id": "<string>",
"kind": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"delivery_id": "<string>",
"session_id": "<string>",
"failure_reason": "<string>",
"payload_excerpt": "<string>",
"result_excerpt": "<string>",
"output_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
}
],
"has_more": true
}
